/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.gpeec;

import java.awt.BorderLayout;
import java.util.Date;
import java.util.List;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.mangue.common.modele.gpeec.EOEmploi;
import org.cocktail.mangue.common.modele.interfaces.INomenclature;
import org.cocktail.mangue.common.modele.nomenclatures.EOCategorie;
import org.cocktail.mangue.common.modele.nomenclatures.carriere.EOTypePopulation;
import org.cocktail.mangue.common.modele.nomenclatures.emploi.EONatureBudget;
import org.cocktail.mangue.common.modele.nomenclatures.emploi.EOProgramme;
import org.cocktail.mangue.common.utilities.CocktailConstantes;
import org.cocktail.application.common.utilities.CocktailFormats;
import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.modele.grhum.referentiel.EOStructure;

import com.webobjects.eointerface.EODisplayGroup;
import com.webobjects.foundation.NSArray;


/**
 * Interface de la liste des emplois
 *  
 * @author  cpinsard
 * @author Chama LAATIK
 */
public class EmploisView extends JFrame {

	protected EODisplayGroup eod;
	protected ZEOTable myEOTable;
	protected ZEOTableModel myTableModel;
	protected TableSorter myTableSorter;
	private static boolean isNumFormatteAffiche;

	private static final long serialVersionUID = -6195866169790317637L;

	/** Creates new form TemplateJDialog 
	 * @param parent : parent de la fenetre
	 * @param modal : modal? oui/non
	 * @param eod : displayGroup
	 * @param utilisationNumeroEmploiFormatte : Utilisation du numéro d'emploi formatté? oui/non
	 */
    public EmploisView(java.awt.Frame parent, boolean modal, EODisplayGroup eod, boolean utilisationNumeroEmploiFormatte) {
    	this.eod = eod;
        isNumFormatteAffiche = utilisationNumeroEmploiFormatte;
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        btnAjouter = new javax.swing.JButton();
        btnModifier = new javax.swing.JButton();
        viewTable = new javax.swing.JPanel();
        btnSupprimer = new javax.swing.JButton();
        tfTitreDetailOccupation = new javax.swing.JTextField();
        tfTitreListeEmploi = new javax.swing.JTextField();
        lblNbEmplois = new javax.swing.JLabel();
        btnExporter = new javax.swing.JButton();
        btnOccupations = new javax.swing.JButton();
        tfOccupation = new javax.swing.JTextField();
        tfTitreDetailCategorie = new javax.swing.JTextField();
        tfCategorie = new javax.swing.JTextField();
        btnCategories = new javax.swing.JButton();
        tfTitreDetailSpecialisation = new javax.swing.JTextField();
        tfSpecialisation = new javax.swing.JTextField();
        btnSpecialisations = new javax.swing.JButton();
        tfTitreDetailAffectation = new javax.swing.JTextField();
        tfAffectation = new javax.swing.JTextField();
        btnAffectations = new javax.swing.JButton();
        btnEditionFicheEmploi = new javax.swing.JButton();
        btnEditionFicheEmploiHistorique = new javax.swing.JButton();
        tfTitreDetailBudget = new javax.swing.JTextField();
        tfBudget = new javax.swing.JTextField();
        btnNatureBudget = new javax.swing.JButton();
        jPanel1 = new javax.swing.JPanel();
        popupImplantation = new javax.swing.JComboBox();
        btnRechercher = new javax.swing.JButton();
        popupBudget = new javax.swing.JComboBox();
        jLabelEnseignant = new javax.swing.JLabel();
        jLabelNoEmploi = new javax.swing.JLabel();
        tfFiltreNoEmploi = new javax.swing.JTextField();
        btnGetAffectation = new javax.swing.JButton();
        tfFiltreCategorie = new javax.swing.JTextField();
        tfFiltreAffectation = new javax.swing.JTextField();
        btnDelCategorie = new javax.swing.JButton();
        tfFiltrePeriodeDebut = new javax.swing.JTextField();
        jLabelBudget = new javax.swing.JLabel();
        popupEtat = new javax.swing.JComboBox();
        popupEnseignant = new javax.swing.JComboBox();
        jLabelImplantation = new javax.swing.JLabel();
        jLabelEtat = new javax.swing.JLabel();
        jLabelCategorie = new javax.swing.JLabel();
        jLabelAffectation = new javax.swing.JLabel();
        btnDelAffectation = new javax.swing.JButton();
        jLabelPeriode = new javax.swing.JLabel();
        btnGetCategorie = new javax.swing.JButton();
        tfFiltrePeriodeFin = new javax.swing.JTextField();
        btnNettoyer = new javax.swing.JButton();
        jLabelTypePopulation = new javax.swing.JLabel();
        popupTypePopulation = new javax.swing.JComboBox();
        jLabelCategFonctionPublique = new javax.swing.JLabel();
        popupCategFonctionPublique = new javax.swing.JComboBox();
        btnBudget = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("GESTION DES EMPLOIS");

        btnAjouter.setToolTipText("Ajouter un emploi");

        btnModifier.setToolTipText("Modifier l'emploi sélectionné");

        viewTable.setLayout(new java.awt.BorderLayout());

        btnSupprimer.setToolTipText("Supprimer l'emploi sélectionné");

        tfTitreDetailOccupation.setBackground(new java.awt.Color(255, 204, 204));
        tfTitreDetailOccupation.setEditable(false);
        tfTitreDetailOccupation.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfTitreDetailOccupation.setText("Occupations");
        tfTitreDetailOccupation.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));

        tfTitreListeEmploi.setBackground(new java.awt.Color(255, 204, 204));
        tfTitreListeEmploi.setEditable(false);
        tfTitreListeEmploi.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfTitreListeEmploi.setText("EMPLOIS");
        tfTitreListeEmploi.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));

        lblNbEmplois.setFont(new java.awt.Font("Tahoma", 0, 12));
        lblNbEmplois.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        lblNbEmplois.setText("15 Emplois");

        btnExporter.setText("Exporter");
        btnExporter.setToolTipText("Exporter les données affichées");

        btnOccupations.setToolTipText("Détail des occupations");

        tfOccupation.setEditable(false);
        tfOccupation.setFont(new java.awt.Font("Tahoma", 0, 14));

        tfTitreDetailCategorie.setBackground(new java.awt.Color(255, 204, 204));
        tfTitreDetailCategorie.setEditable(false);
        tfTitreDetailCategorie.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfTitreDetailCategorie.setText("Catégorie d'emploi");
        tfTitreDetailCategorie.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));

        tfCategorie.setEditable(false);
        tfCategorie.setFont(new java.awt.Font("Tahoma", 0, 14));

        btnCategories.setToolTipText("Détail des catégories d'emploi");

        tfTitreDetailSpecialisation.setBackground(new java.awt.Color(255, 204, 204));
        tfTitreDetailSpecialisation.setEditable(false);
        tfTitreDetailSpecialisation.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfTitreDetailSpecialisation.setText("Spécialisation");
        tfTitreDetailSpecialisation.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));

        tfSpecialisation.setEditable(false);
        tfSpecialisation.setFont(new java.awt.Font("Tahoma", 0, 14));

        btnSpecialisations.setToolTipText("Détail des spécialisations");

        tfTitreDetailAffectation.setBackground(new java.awt.Color(255, 204, 204));
        tfTitreDetailAffectation.setEditable(false);
        tfTitreDetailAffectation.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfTitreDetailAffectation.setText("Localisation");
        tfTitreDetailAffectation.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));

        tfAffectation.setEditable(false);
        tfAffectation.setFont(new java.awt.Font("Tahoma", 0, 14));

        btnAffectations.setToolTipText("Détail des affectations");

        btnEditionFicheEmploi.setText("Fiche emploi");
        btnEditionFicheEmploi.setToolTipText("Edition de la fiche d'emploi à la date du jour");

        btnEditionFicheEmploiHistorique.setText("Historique fiche emploi ");
        btnEditionFicheEmploiHistorique.setToolTipText("Edition de l'historique de la fiche d'emploi");

        tfTitreDetailBudget.setBackground(new java.awt.Color(255, 204, 204));
        tfTitreDetailBudget.setEditable(false);
        tfTitreDetailBudget.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfTitreDetailBudget.setText("Budget");
        tfTitreDetailBudget.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        tfTitreDetailBudget.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfTitreDetailBudgetActionPerformed(evt);
            }
        });

        tfBudget.setEditable(false);
        tfBudget.setFont(new java.awt.Font("Tahoma", 0, 14));

        btnNatureBudget.setToolTipText("Détail des budgets");

        popupImplantation.setFont(new java.awt.Font("Tahoma", 0, 14));
        popupImplantation.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        btnRechercher.setText("Rechercher");
        btnRechercher.setToolTipText("Rechercher les emplois ");

        popupBudget.setFont(new java.awt.Font("Tahoma", 0, 14));
        popupBudget.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabelEnseignant.setFont(new java.awt.Font("Tahoma", 0, 14));
        jLabelEnseignant.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabelEnseignant.setText("Enseignant");

        jLabelNoEmploi.setFont(new java.awt.Font("Tahoma", 0, 14));
        jLabelNoEmploi.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabelNoEmploi.setText("No Emploi");

        tfFiltreNoEmploi.setFont(new java.awt.Font("Tahoma", 0, 14));
        tfFiltreNoEmploi.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfFiltreNoEmploi.setMinimumSize(new java.awt.Dimension(88, 27));

        btnGetAffectation.setToolTipText("Filtre sur l'affectation de l'emploi");

        tfFiltreCategorie.setFont(new java.awt.Font("Tahoma", 0, 14));
        tfFiltreCategorie.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        tfFiltreAffectation.setFont(new java.awt.Font("Tahoma", 0, 14));
        tfFiltreAffectation.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        btnDelCategorie.setToolTipText("Supprimer la catégorie d'emploi");

        tfFiltrePeriodeDebut.setFont(new java.awt.Font("Tahoma", 0, 14));
        tfFiltrePeriodeDebut.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabelBudget.setFont(new java.awt.Font("Tahoma", 0, 14));
        jLabelBudget.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabelBudget.setText("Budget");

        popupEtat.setFont(new java.awt.Font("Tahoma", 0, 14));
        popupEtat.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        popupEnseignant.setFont(new java.awt.Font("Tahoma", 0, 14));
        popupEnseignant.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabelImplantation.setFont(new java.awt.Font("Tahoma", 0, 14));
        jLabelImplantation.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabelImplantation.setText("U.A.I");

        jLabelEtat.setFont(new java.awt.Font("Tahoma", 0, 14));
        jLabelEtat.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabelEtat.setText("Etat");

        jLabelCategorie.setFont(new java.awt.Font("Tahoma", 0, 14));
        jLabelCategorie.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabelCategorie.setText("Catégorie emploi");

        jLabelAffectation.setFont(new java.awt.Font("Tahoma", 0, 14));
        jLabelAffectation.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabelAffectation.setText("Localisation");

        btnDelAffectation.setToolTipText("Supprimer l'affectation");

        jLabelPeriode.setFont(new java.awt.Font("Tahoma", 0, 14));
        jLabelPeriode.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabelPeriode.setText("Période d'observation");

        btnGetCategorie.setToolTipText("Filtre sur la catégorie d'emploi");

        tfFiltrePeriodeFin.setFont(new java.awt.Font("Tahoma", 0, 14));
        tfFiltrePeriodeFin.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        btnNettoyer.setToolTipText("Supprimer les filtres saisis");

        jLabelTypePopulation.setFont(new java.awt.Font("Tahoma", 0, 14));
        jLabelTypePopulation.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabelTypePopulation.setText("Type de population");

        popupTypePopulation.setFont(new java.awt.Font("Tahoma", 0, 14));
        popupTypePopulation.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabelCategFonctionPublique.setFont(new java.awt.Font("Tahoma", 0, 14));
        jLabelCategFonctionPublique.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabelCategFonctionPublique.setText("Catégorie fonction publique");

        popupCategFonctionPublique.setFont(new java.awt.Font("Tahoma", 0, 14));
        popupCategFonctionPublique.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(jLabelCategorie)
                            .add(jLabelNoEmploi)
                            .add(jLabelAffectation)))
                    .add(jLabelTypePopulation))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(tfFiltreAffectation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 429, Short.MAX_VALUE)
                                    .add(tfFiltreCategorie, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 429, Short.MAX_VALUE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(jPanel1Layout.createSequentialGroup()
                                        .add(btnGetAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(btnDelAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(jPanel1Layout.createSequentialGroup()
                                        .add(btnGetCategorie, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(btnDelCategorie, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(tfFiltreNoEmploi, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 108, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabelPeriode, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 152, Short.MAX_VALUE)
                                .add(10, 10, 10)
                                .add(tfFiltrePeriodeDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 104, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(tfFiltrePeriodeFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 99, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(72, 72, 72)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(jLabelBudget, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 67, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabelEtat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 42, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabelImplantation)))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(popupTypePopulation, 0, 308, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabelCategFonctionPublique)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupCategFonctionPublique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 143, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(18, 18, 18)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(popupImplantation, 0, 407, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, popupBudget, 0, 407, Short.MAX_VALUE)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(popupEtat, 0, 184, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                                .add(btnRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 158, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnNettoyer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(6, 6, 6))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                                .add(jLabelEnseignant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 88, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(popupEnseignant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 113, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE, false)
                            .add(jLabelNoEmploi)
                            .add(tfFiltreNoEmploi, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfFiltrePeriodeDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfFiltrePeriodeFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabelPeriode, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(tfFiltreCategorie, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(jLabelCategorie))
                            .add(btnGetCategorie, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnDelCategorie, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(popupImplantation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabelImplantation))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(popupBudget, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabelBudget))))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(tfFiltreAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabelAffectation))
                    .add(btnGetAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnDelAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(popupEtat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabelEtat)
                        .add(popupEnseignant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabelEnseignant)))
                .add(18, 18, 18)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabelTypePopulation)
                            .add(jLabelCategFonctionPublique)
                            .add(btnRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(popupCategFonctionPublique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(popupTypePopulation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(btnNettoyer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        btnBudget.setText("Budget");
        btnBudget.setToolTipText("Saisie des lignes budgétaires");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 1183, Short.MAX_VALUE)
                    .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(btnExporter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 156, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(btnEditionFicheEmploi, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 186, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(btnEditionFicheEmploiHistorique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 200, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnBudget, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 117, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 383, Short.MAX_VALUE)
                        .add(lblNbEmplois, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 99, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(tfTitreDetailBudget, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 154, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfTitreDetailAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 154, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfTitreDetailSpecialisation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 154, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfTitreDetailOccupation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 154, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfTitreDetailCategorie, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 154, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(tfOccupation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 994, Short.MAX_VALUE)
                            .add(tfCategorie, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 994, Short.MAX_VALUE)
                            .add(tfAffectation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 994, Short.MAX_VALUE)
                            .add(tfBudget, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 994, Short.MAX_VALUE)
                            .add(tfSpecialisation, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 994, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(btnCategories, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnOccupations, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnAffectations, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnSpecialisations, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnNatureBudget, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(layout.createSequentialGroup()
                        .add(tfTitreListeEmploi, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 1096, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 162, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(6, 6, 6)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(tfTitreListeEmploi, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 324, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(btnExporter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnEditionFicheEmploi, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnEditionFicheEmploiHistorique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(lblNbEmplois))
                    .add(btnBudget, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(tfTitreDetailOccupation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfOccupation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnOccupations, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(tfCategorie, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfTitreDetailCategorie, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnCategories, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(btnSpecialisations, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfTitreDetailSpecialisation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfSpecialisation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(btnAffectations, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfTitreDetailAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfAffectation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(tfTitreDetailBudget, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnNatureBudget, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfBudget, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-1219)/2, (screenSize.height-760)/2, 1219, 760);
    }// </editor-fold>//GEN-END:initComponents

    private void tfTitreDetailBudgetActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfTitreDetailBudgetActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_tfTitreDetailBudgetActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                EmploisView dialog = new EmploisView(new javax.swing.JFrame(), true, null, isNumFormatteAffiche);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAffectations;
    private javax.swing.JButton btnAjouter;
    private javax.swing.JButton btnBudget;
    private javax.swing.JButton btnCategories;
    private javax.swing.JButton btnDelAffectation;
    private javax.swing.JButton btnDelCategorie;
    private javax.swing.JButton btnEditionFicheEmploi;
    private javax.swing.JButton btnEditionFicheEmploiHistorique;
    private javax.swing.JButton btnExporter;
    private javax.swing.JButton btnGetAffectation;
    private javax.swing.JButton btnGetCategorie;
    private javax.swing.JButton btnModifier;
    private javax.swing.JButton btnNatureBudget;
    private javax.swing.JButton btnNettoyer;
    private javax.swing.JButton btnOccupations;
    private javax.swing.JButton btnRechercher;
    private javax.swing.JButton btnSpecialisations;
    private javax.swing.JButton btnSupprimer;
    private javax.swing.JLabel jLabelAffectation;
    private javax.swing.JLabel jLabelBudget;
    private javax.swing.JLabel jLabelCategFonctionPublique;
    private javax.swing.JLabel jLabelCategorie;
    private javax.swing.JLabel jLabelEnseignant;
    private javax.swing.JLabel jLabelEtat;
    private javax.swing.JLabel jLabelImplantation;
    private javax.swing.JLabel jLabelNoEmploi;
    private javax.swing.JLabel jLabelPeriode;
    private javax.swing.JLabel jLabelTypePopulation;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JLabel lblNbEmplois;
    private javax.swing.JComboBox popupBudget;
    private javax.swing.JComboBox popupCategFonctionPublique;
    private javax.swing.JComboBox popupEnseignant;
    private javax.swing.JComboBox popupEtat;
    private javax.swing.JComboBox popupImplantation;
    private javax.swing.JComboBox popupTypePopulation;
    private javax.swing.JTextField tfAffectation;
    private javax.swing.JTextField tfBudget;
    private javax.swing.JTextField tfCategorie;
    private javax.swing.JTextField tfFiltreAffectation;
    private javax.swing.JTextField tfFiltreCategorie;
    private javax.swing.JTextField tfFiltreNoEmploi;
    private javax.swing.JTextField tfFiltrePeriodeDebut;
    private javax.swing.JTextField tfFiltrePeriodeFin;
    private javax.swing.JTextField tfOccupation;
    private javax.swing.JTextField tfSpecialisation;
    private javax.swing.JTextField tfTitreDetailAffectation;
    private javax.swing.JTextField tfTitreDetailBudget;
    private javax.swing.JTextField tfTitreDetailCategorie;
    private javax.swing.JTextField tfTitreDetailOccupation;
    private javax.swing.JTextField tfTitreDetailSpecialisation;
    private javax.swing.JTextField tfTitreListeEmploi;
    private javax.swing.JPanel viewTable;
    // End of variables declaration//GEN-END:variables

   

    
    private void initGui() {
    	setTitle("GESTION DES EMPLOIS");
    	
    	// Icones des boutons
    	btnAjouter.setIcon(CocktailIcones.ICON_ADD);
    	btnModifier.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimer.setIcon(CocktailIcones.ICON_DELETE);
    	btnGetAffectation.setIcon(CocktailIcones.ICON_LOUPE_16);
    	btnDelAffectation.setIcon(CocktailIcones.ICON_DELETE);
    	btnGetCategorie.setIcon(CocktailIcones.ICON_LOUPE_16);
    	btnDelCategorie.setIcon(CocktailIcones.ICON_DELETE);
    	btnRechercher.setIcon(CocktailIcones.ICON_LOUPE_16);
    	btnBudget.setIcon(CocktailIcones.ICON_EURO);

    	btnNettoyer.setIcon(CocktailIcones.ICON_CLEAN);
    	btnExporter.setIcon(CocktailIcones.ICON_EXCEL_16);
    	btnEditionFicheEmploi.setIcon(CocktailIcones.ICON_PRINTER_16);
    	btnEditionFicheEmploiHistorique.setIcon(CocktailIcones.ICON_PRINTER_16);
    	
    	btnOccupations.setIcon(CocktailIcones.ICON_SELECT_16);
    	btnCategories.setIcon(CocktailIcones.ICON_SELECT_16);
    	btnSpecialisations.setIcon(CocktailIcones.ICON_SELECT_16);
    	btnAffectations.setIcon(CocktailIcones.ICON_SELECT_16);
    	btnNatureBudget.setIcon(CocktailIcones.ICON_SELECT_16);

    	// Definition des colonnes et donnees a afficher
    	Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

    	ZEOTableModelColumn col = new ZEOTableModelColumn(eod, EOEmploi.NO_EMPLOI_KEY, "No", 40);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	
    	//On affiche la colonne que si on autorise le formattage du numéro national
    	if (isNumFormatteAffiche) {
	    	col = new ZEOTableModelColumn(eod, EOEmploi.NO_EMPLOI_FORMATTE_KEY, "No formatté", 40);
	    	col.setAlignment(SwingConstants.LEFT);
	    	myCols.add(col);
    	}
    	
    	col = new ZEOTableModelColumn(eod, EOEmploi.TO_PROGRAMME_KEY + "." + EOProgramme.C_PROGRAMME_KEY, "Programme", 40);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOEmploi.TEM_ENSEIGNANT_KEY, "Enseignant", 40);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOEmploi.TEM_CONTRACTUEL_KEY, "Contractuel", 40);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOEmploi.TO_RNE_KEY + "." + INomenclature.CODE_KEY, "UAI", 40);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOEmploi.DATE_EFFET_EMPLOI_KEY, "Début", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOEmploi.DATE_PUBLICATION_EMPLOI_KEY, "Publication", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOEmploi.DATE_FERMETURE_EMPLOI_KEY, "Fin", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOEmploi.QUOTITE_KEY, "Quotité", 40);
    	col.setAlignment(SwingConstants.RIGHT);
    	myCols.add(col);

    	myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTable.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2, 2, 2, 2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

    }
    
    /**
     * Initialisation de la popup budget avec la liste des budgets
     * @param listeBudgets : liste des budgets
     */
    public void setBudgets(NSArray<EONatureBudget> listeBudgets) {
    	popupBudget.removeAllItems();
    	popupBudget.addItem("*");
    	for (EONatureBudget myObject : listeBudgets) {
    		popupBudget.addItem(myObject);
    	}
    }
    
    /**
     * Initialisation de la popup enseignant avec Oui/Non
     */
    public void setListeFiltreTemoinEnseignant() {
    	popupEnseignant.removeAllItems();
    	popupEnseignant.addItem("*");
    	popupEnseignant.addItem(CocktailConstantes.VRAI);
    	popupEnseignant.addItem(CocktailConstantes.FAUX);
    }
    
    /**
     * Initialisation de la popup RNE avec la liste des établissements
     * @param listeUAI : liste des structures RNE qui sont aussi un service de l'établissement
     */
    public void setListeUAI(List<EOStructure> listeUAI) {
    	popupImplantation.removeAllItems();
    	popupImplantation.addItem("*");
    	for (EOStructure myObject : listeUAI) {
    		popupImplantation.addItem(myObject.rne());
    	}
    }
    
    /**
     * Initialisation de la popup Etat avec les différents états de l'emploi
     * @param listeEtatEmploi : liste des emplois
     */
    public void setListeEtatEmploi(List<String> listeEtatEmploi) {
    	popupEtat.removeAllItems();
    	for (String myObject : listeEtatEmploi) {
    		popupEtat.addItem(myObject);
    	}
    }
    
    /**
     * Initialisation de la popup Type de population
     * @param listeTypePopulation : liste des types de population
     */
    public void setListeTypePopulation(List<EOTypePopulation> listeTypePopulation) {
    	popupTypePopulation.removeAllItems();
    	popupTypePopulation.addItem("*");
    	for (EOTypePopulation myObject : listeTypePopulation) {
    		popupTypePopulation.addItem(myObject);
    	}
    }
    
    /**
     * Initialisation de la popup Catégorie de la fonction publique
     * @param listeCategFonctionPublique : liste des catégories de la fonction publique
     */
    public void setListeCategFonctionPublique(List<EOCategorie> listeCategFonctionPublique) {
    	popupCategFonctionPublique.removeAllItems();
    	popupCategFonctionPublique.addItem("*");
    	for (EOCategorie myObject : listeCategFonctionPublique) {
    		popupCategFonctionPublique.addItem(myObject);
    	}
    }

	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public javax.swing.JButton getBtnAffectations() {
		return btnAffectations;
	}

	public void setBtnAffectations(javax.swing.JButton btnAffectations) {
		this.btnAffectations = btnAffectations;
	}

	public javax.swing.JButton getBtnAjouter() {
		return btnAjouter;
	}

	public void setBtnAjouter(javax.swing.JButton btnAjouter) {
		this.btnAjouter = btnAjouter;
	}

	public javax.swing.JButton getBtnCategories() {
		return btnCategories;
	}

	public void setBtnCategories(javax.swing.JButton btnCategories) {
		this.btnCategories = btnCategories;
	}

	public javax.swing.JButton getBtnDelAffectation() {
		return btnDelAffectation;
	}

	public void setBtnDelAffectation(javax.swing.JButton btnDelAffectation) {
		this.btnDelAffectation = btnDelAffectation;
	}

	public javax.swing.JButton getBtnExporter() {
		return btnExporter;
	}

	public void setBtnExporter(javax.swing.JButton btnExporter) {
		this.btnExporter = btnExporter;
	}

	public javax.swing.JButton getBtnGetAffectation() {
		return btnGetAffectation;
	}

	public void setBtnGetAffectation(javax.swing.JButton btnGetAffectation) {
		this.btnGetAffectation = btnGetAffectation;
	}

	public javax.swing.JButton getBtnModifier() {
		return btnModifier;
	}

	public void setBtnModifier(javax.swing.JButton btnModifier) {
		this.btnModifier = btnModifier;
	}

	public javax.swing.JButton getBtnOccupations() {
		return btnOccupations;
	}

	public void setBtnOccupations(javax.swing.JButton btnOccupations) {
		this.btnOccupations = btnOccupations;
	}

	public javax.swing.JButton getBtnRechercher() {
		return btnRechercher;
	}

	public void setBtnRechercher(javax.swing.JButton btnRechercher) {
		this.btnRechercher = btnRechercher;
	}

	public javax.swing.JButton getBtnSpecialisations() {
		return btnSpecialisations;
	}

	public void setBtnSpecialisations(javax.swing.JButton btnSpecialisations) {
		this.btnSpecialisations = btnSpecialisations;
	}

	public javax.swing.JButton getBtnSupprimer() {
		return btnSupprimer;
	}

	public void setBtnSupprimer(javax.swing.JButton btnSupprimer) {
		this.btnSupprimer = btnSupprimer;
	}

	public javax.swing.JLabel getLblNbEmplois() {
		return lblNbEmplois;
	}

	public void setLblNbEmplois(javax.swing.JLabel lblNbEmplois) {
		this.lblNbEmplois = lblNbEmplois;
	}

	public javax.swing.JComboBox getPopupBudget() {
		return popupBudget;
	}

	public void setPopupBudget(javax.swing.JComboBox popupBudget) {
		this.popupBudget = popupBudget;
	}

	public javax.swing.JComboBox getPopupEnseignant() {
		return popupEnseignant;
	}

	public void setPopupEnseignant(javax.swing.JComboBox popupEnseignant) {
		this.popupEnseignant = popupEnseignant;
	}

	public javax.swing.JComboBox getPopupImplantation() {
		return popupImplantation;
	}

	public void setPopupImplantation(javax.swing.JComboBox popupImplantation) {
		this.popupImplantation = popupImplantation;
	}

	public javax.swing.JTextField getTfCategorie() {
		return tfCategorie;
	}

	public void setTfCategorie(javax.swing.JTextField tfCategorie) {
		this.tfCategorie = tfCategorie;
	}

	public javax.swing.JTextField getTfFiltreAffectation() {
		return tfFiltreAffectation;
	}

	public void setTfFiltreAffectation(javax.swing.JTextField tfFiltreAffectation) {
		this.tfFiltreAffectation = tfFiltreAffectation;
	}

	public javax.swing.JTextField getTfFiltreCategorie() {
		return tfFiltreCategorie;
	}

	public void setTfFiltreCategorie(javax.swing.JTextField tfFiltreCategorie) {
		this.tfFiltreCategorie = tfFiltreCategorie;
	}

	public javax.swing.JTextField getTfFiltrePeriodeDebut() {
		return tfFiltrePeriodeDebut;
	}

	public void setTfFiltrePeriodeDebut(javax.swing.JTextField tfFiltrePeriodeDebut) {
		this.tfFiltrePeriodeDebut = tfFiltrePeriodeDebut;
	}

	public javax.swing.JTextField getTfFiltrePeriodeFin() {
		return tfFiltrePeriodeFin;
	}

	public void setTfFiltrePeriodeFin(javax.swing.JTextField tfFiltrePeriodeFin) {
		this.tfFiltrePeriodeFin = tfFiltrePeriodeFin;
	}

	public javax.swing.JTextField getTfOccupation() {
		return tfOccupation;
	}

	public void setTfOccupation(javax.swing.JTextField tfOccupation) {
		this.tfOccupation = tfOccupation;
	}

	public javax.swing.JTextField getTfSpecialisation() {
		return tfSpecialisation;
	}

	public void setTfSpecialisation(javax.swing.JTextField tfSpecialisation) {
		this.tfSpecialisation = tfSpecialisation;
	}

	public javax.swing.JButton getBtnDelCategorie() {
		return btnDelCategorie;
	}

	public void setBtnDelCategorie(javax.swing.JButton btnDelCategorie) {
		this.btnDelCategorie = btnDelCategorie;
	}

	public javax.swing.JButton getBtnEditionFicheEmploi() {
		return btnEditionFicheEmploi;
	}

	public void setBtnEditionFicheEmploi(javax.swing.JButton btnEditionFicheEmploi) {
		this.btnEditionFicheEmploi = btnEditionFicheEmploi;
	}

	public javax.swing.JButton getBtnEditionFicheEmploiHistorique() {
		return btnEditionFicheEmploiHistorique;
	}

	public void setBtnEditionFicheEmploiHistorique(
			javax.swing.JButton btnEditionFicheEmploiHistorique) {
		this.btnEditionFicheEmploiHistorique = btnEditionFicheEmploiHistorique;
	}

	public javax.swing.JButton getBtnGetCategorie() {
		return btnGetCategorie;
	}

	public void setBtnGetCategorie(javax.swing.JButton btnGetCategorie) {
		this.btnGetCategorie = btnGetCategorie;
	}

	public javax.swing.JTextField getTfFiltreNoEmploi() {
		return tfFiltreNoEmploi;
	}

	public void setTfFiltreNoEmploi(javax.swing.JTextField tfFiltreNoEmploi) {
		this.tfFiltreNoEmploi = tfFiltreNoEmploi;
	}

	public javax.swing.JButton getBtnBudget() {
		return btnBudget;
	}

	public void setBtnBudget(javax.swing.JButton btnBudget) {
		this.btnBudget = btnBudget;
	}

	public javax.swing.JTextField getTfBudget() {
		return tfBudget;
	}

	public void setTfBudget(javax.swing.JTextField tfBudget) {
		this.tfBudget = tfBudget;
	}

	public javax.swing.JTextField getTfAffectation() {
		return tfAffectation;
	}

	public void setTfAffectation(javax.swing.JTextField tfAffectation) {
		this.tfAffectation = tfAffectation;
	}

	public javax.swing.JComboBox getPopupEtat() {
		return popupEtat;
	}

	public void setPopupEtat(javax.swing.JComboBox popupEtat) {
		this.popupEtat = popupEtat;
	}

	public javax.swing.JButton getBtnNettoyer() {
		return btnNettoyer;
	}

	public void setBtnNettoyer(javax.swing.JButton btnNettoyer) {
		this.btnNettoyer = btnNettoyer;
	}

	public javax.swing.JComboBox getPopupCategFonctionPublique() {
		return popupCategFonctionPublique;
	}

	public void setPopupCategFonctionPublique(javax.swing.JComboBox popupCategFonctionPublique) {
		this.popupCategFonctionPublique = popupCategFonctionPublique;
	}

	public javax.swing.JComboBox getPopupTypePopulation() {
		return popupTypePopulation;
	}

	public void setPopupTypePopulation(javax.swing.JComboBox popupTypePopulation) {
		this.popupTypePopulation = popupTypePopulation;
	}

	public javax.swing.JButton getBtnNatureBudget() {
		return btnNatureBudget;
	}

	public void setBtnNatureBudget(javax.swing.JButton btnNatureBudget) {
		this.btnNatureBudget = btnNatureBudget;
	}
    
}